> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Call a tool with the caller's selected account



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json post /accounts/{account_id}/tools/call
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /accounts/{account_id}/tools/call:
    post:
      tags:
        - Accounts
      summary: Call a tool with the caller's selected account
      operationId: callAccountTool
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: account_id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                arguments:
                  type: object
                  additionalProperties: {}
                tool:
                  type: string
                  minLength: 1
                slate_id:
                  type: string
                  format: uuid
                toolkit:
                  type: string
                  minLength: 1
              required:
                - arguments
                - tool
                - slate_id
                - toolkit
              additionalProperties: false
      responses:
        '200':
          description: Tool result from the signed-in user's pinned connected account
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: {}
                  error:
                    type:
                      - string
                      - 'null'
                  logId:
                    type: string
                required:
                  - data
                  - error
                  - logId
        '400':
          description: Invalid connected-account tool call
        '401':
          description: A native web session or ContextLayer access token is required
        '402':
          description: The Owner needs a plan or has exhausted their Free clips
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: Slate viewing is forbidden
        '404':
          description: Slate not found
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.